### Hierarchy

- IActionOptions

## Index

### Properties

- confirm
- confirmTitle
- success
- successTitle
- validate
- validateTitle

## Properties

### Optional confirm

confirm: string

- Defined in src/view-model/Action.ts:27

Ask for confirmation before invoking this method

default

  null

### Optional confirmTitle

confirmTitle: string

- Defined in src/view-model/Action.ts:33

Title for confirm message

default

  Confirm

### Optional success

success: string | FormattedString

- Defined in src/view-model/Action.ts:15

Display success message after method successfully executes, if method returns promise, success will display after promise has finished, pass null to not display message.

default

  null

### Optional successTitle

successTitle: string

- Defined in src/view-model/Action.ts:21

Title for success message

default

  Done

### Optional validate

validate: boolean | string | FormattedString

- Defined in src/view-model/Action.ts:39

Validate the view model before execution and report to user

default

  false

### Optional validateTitle

validateTitle: string

- Defined in src/view-model/Action.ts:45

Title for validation

default

  Error

Generated using TypeDoc